# sc::TwoBodyMOIntsTransform_ijxy Class Reference

TwoBodyMOIntsTransform_ijxy computes (ij|xy) integrals using parallel integrals-direct AO->MO transformation. More...

`#include <transform_ijxy.h>`

Inheritance diagram for sc::TwoBodyMOIntsTransform_ijxy:

List of all members.

## Public Member Functions
| TwoBodyMOIntsTransform_ijxy (StateIn &)
| TwoBodyMOIntsTransform_ijxy (const std::string &name, const Ref< MOIntsTransformFactory > &factory, const Ref< MOIndexSpace > &space1, const Ref< MOIndexSpace > &space2, const Ref< MOIndexSpace > &space3, const Ref< MOIndexSpace > &space4)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
std::string | type () const
| Implementation of TwoBodyMOIntsTransform::type().
const size_t | memgrp_blksize () const
| Returns the number of bytes allocated for each ij-block of integrals of one type in MemoryGrp.
void | compute ()
| Computes transformed integrals.
void | check_int_symm (double threshold=TwoBodyMOIntsTransform::zero_integral) const throw (ProgrammingError)
| Check symmetry of transformed integrals.

## Detailed Description

TwoBodyMOIntsTransform_ijxy computes (ij|xy) integrals using parallel integrals-direct AO->MO transformation.

## Member Function Documentation

void sc::TwoBodyMOIntsTransform_ijxy::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::TwoBodyMOIntsTransform.

The documentation for this class was generated from the following file:

- transform_ijxy.h